<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (WD-USA template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/***************************** Version 20180716 ***************************/
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
} 
############################################################################
require_once("Settings.php");
require_once("common.php");
############################################################################
$TITLE= $SITE['organ'] . "NDFD 3 Day Forecast";
$showGizmo = true;  // set to false to exclude the gizmo
include("top.php");
############################################################################
$divWidth = 680;
$maxWidth = 760;
$divWidth = ($_SESSION['CSSwidescreen']==1?$maxWidth:$divWidth);
?>
<style type="text/css">
div.center {
width:100%;
margin-left: auto;
margin-right: auto;
}
</style>
</head>
<body>
<?php
############################################################################
include("header.php");
############################################################################
include("menubar.php");
############################################################################
?>
<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114px)' : $divWidth.'px') ?>; border:inset; padding:0px">
<?php } else { ?>
	<div id="main-copy" style="width:100%">
<?php }	?>
<br/><h2 align="center">WPC National Digital Forecast Database</h2>
<h3 align="center">Short Range &frac12; to 2&frac12; Day Forecast Loop</h3>
<div style="width:<?php echo $divWidth?>px; padding:10px" class="center">
	<?php echo($divWidth<$maxWidth?'<a href="https://www.wpc.ncep.noaa.gov/basicwx/allfcsts_loop_ndfd.gif" target="_blank" title="Larger Images"':'')?>><img src="https://www.wpc.ncep.noaa.gov/basicwx/allfcsts_loop_ndfd.gif" alt="NDFC 3 Day Forecast Loop" width="<?php echo ($divWidth-20)?>"/><?php echo($divWidth<$maxWidth?'</a>':'')?>
</div>
<p style="text-align:center; font-size:9px"><a href="https://www.wpc.ncep.noaa.gov/html/fntcodes2.shtml" target="_blank" title="Off Site">Legend of Map Symbols</a> - Images courtesy of the <a href="https://www.wpc.ncep.noaa.gov/basicwx/basicwx_ndfd.php" target="_blank">Weather Prediction Center</a></p>
</div><!-- end main-copy -->
<?php
include("footer.php");
?>